#

short	attacv[64];
short	control[64];
int	clktim[2];
int	testf;
short	bookf;
short	bookp;
short	manflg;
short	matflg;
short	intrp;
short	gval;
short	game;
short	abmove;
short	*lmp;
short	*amp;
char	*sbufp;
short	lastmov;
short	mantom;
short	ply;
short	value;
short	ivalue;
short	mfmt;
short	column;
short	dir[64];
short	*lmbuf;
short	*ambuf;
char	sbuf[100];
#define LBSIZE	1000
#define ABSIZE	1200

short	center[]
{
	2,3,4,4,4,4,3,2,
	3,6,8,8,8,8,6,3,
	4,8,12,12,12,12,8,4,
	4,8,12,14,14,12,8,4,
	4,8,12,14,14,12,8,4,
	4,8,12,12,12,12,8,4,
	3,6,8,8,8,8,6,3,
	2,3,4,4,4,4,3,2
};

int	wheur1();
int	wheur2();
int	wheur3();
int	wheur4();
int	wheur5();
int	wheur6();
int	*wheur[]
{
	&wheur1,
	&wheur2,
	&wheur3,
	&wheur4,
	&wheur5,
	&wheur6,
	0
};

int	bheur1();
int	bheur2();
int	bheur3();
int	bheur4();
int	bheur5();
int	bheur6();
int	*bheur[]
{
	&bheur1,
	&bheur2,
	&bheur3,
	&bheur4,
	&bheur5,
	&bheur6,
	0
};

short	pval[13];

short	ipval[]
{
	-3000, -900, -500, -300, -300, -100,
	0,
	100, 300, 300, 500, 900, 3000
};

short	moveno	1;
short	depth	2;
short	qdepth	8;
short	mdepth	4;
short	flag	033;
short	eppos	64;
short	bkpos	4;
short	wkpos	60;
short	edge[]
{
	040, 020, 010, 0, 0, 1, 2, 4
};
short   board[]
{
	4, 2, 3, 5, 6, 3, 2, 4,
	1, 1, 1, 1, 1, 1, 1, 1,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	-1, -1, -1, -1, -1, -1, -1, -1,
	-4, -2, -3, -5, -6, -3, -2, -4,
};
